Description

Editing hosts is currently not possible with vmware image based installs (select host-> edit button throws:

2016-02-09T10:22:26 [app] [W] Action failed | NoMethodError: undefined method `sharedBus' for nil:

NilClass

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.34.0/lib/fog/vsphere/requests/compute/get_vm_fi

rst_scsi_controller.rb:14:in`get_vm_first_scsi_controller_raw'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.34.0/lib/fog/vsphere/requests/compute/get_vm_fi

rst_scsi_controller.rb:7:in`get_vm_first_scsi_controller'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.34.0/lib/fog/vsphere/models/compute/server.rb:2

21:in`scsi_controller'

  |/usr/share/foreman/app/models/concerns/fog_extensions/vsphere/server.rb:33:in`scsi_controller_t

ype'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/form_helper

.rb:1152:in`value'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/form_helper

.rb:1143:in`value'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/form_option

s_helper.rb:598:in`to_collection_select_tag'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/form_option

s_helper.rb:191:in`collection_select'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/form_option

s_helper.rb:646:in`collection_select'

  |/usr/share/foreman/app/helpers/layout_helper.rb:165:in `block inselect_f'

  |/usr/share/foreman/app/helpers/layout_helper.rb:248:in `block (3levels) in field'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/capture_hel

per.rb:40:in`block in capture'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/capture_hel

per.rb:187:in`with_output_buffer'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/capture_hel

per.rb:40:in`capture'

  |/usr/share/foreman/app/helpers/layout_helper.rb:244:in `block (2levels) in field'

  |usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/capture_help

er.rb:40:in`block in capture'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/capture_hel

per.rb:187:in`with_output_buffer'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/capture_hel

per.rb:40:in`capture'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/tag_helper.

rb:95:in`content_tag'

  |/usr/share/foreman/app/helpers/layout_helper.rb:242:in `block in field'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/capture_hel

per.rb:40:in`block in capture'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/capture_hel

per.rb:187:in`with_output_buffer'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/capture_hel

per.rb:40:in`capture'
  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/helpers/tag_helper.

rb:95:in`content_tag'

  |/usr/share/foreman/app/helpers/layout_helper.rb:241:in `field'

  |/usr/share/foreman/app/helpers/layout_helper.rb:162:in `select_f'

  |/usr/share/foreman/app/views/compute_resources_vms/form/vmware/_base.html.erb:9:in `_app_views_

compute_resources_vms_form_vmware__base_html_erb___1525675653964757889_83256100'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/template.rb:145:in`

block in render'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/notifications

.rb:125:in`instrument'

  |/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_view/template.rb:143:in`

render'

 This makes changing the hostgroups, etc impossible. It works with the libvirt provider.

Note in that in order to get image based installs with VMWare going at all I have the patches from

http://projects.theforeman.org/issues/13281

    http://projects.theforeman.org/issues/13507

 applied.

History

#1 - 02/10/2016 03:08 AM - Dominic Cleal

- Category changed from VM management to Compute resources - VMware

Perhaps a VM without a SCSI controller attached?

#2 - 02/14/2016 12:18 PM - Guido Günther

Dominic Cleal wrote:

Perhaps a VM without a SCSI controller attached?

 I think so but this shouldn't break "Edit" completely.
